<!---

*******************************   CF_WebEditor Revision History   **************************************
***************************************   Important   **************************************************
**                                                                                                    **
** Any bugs or bug fixes should be reported to Duane Boudreau (mailto:dboudreau@ektron.com) at Ektron **
**                                                                                                    **
********************************************************************************************************

Date: 04/04/99
Fixed By: DAB
Bug:  CF_WebEditor not generating proper vbscript if multiple editors are used in a single form                   
Fix:  Added new attributes EditorsInForm (the number of editors in the form) and EditorNumber (the number
	  of the current editor in the form). Deleted were the name and returnfield.  The name of the editor
	  and the return feild are now generated (eWebEdit1, eWebEdit2... and TextHTML1, TextHTML2...) This
	  was required in order to allow the tag to properly generate the vbscript onClick event.    

********************************************************************************************************

Date: 04/04/99
Fixed By: DAB
Enhancement:  Added code to check the last character of the CodeBase Attribute                   

********************************************************************************************************

Date: 04/06/99
Fixed By: DAB
Bug:  CF 3.1x does not support parsing CFloop within a CFOUTPUT
Fix:  Moved CFLoop out of cfoutput block  
********************************************************************************************************

Date: 04/24/99
Fixed By: WAR
Feature:  Support License3 key
   

********************************************************************************************************

Date: 05/09/99
Fixed By: WAR
Feature:  Disable buttons
<param name="AllowCustomize" value="False">
<param name="FontSize" value="2">  What is the Default Font 
<param name="FontName" value="New Times Roman"> what is the default font the editor will use
<param name="Buttons-XXXXX" value="False"> disable a button
********************************************************************************************************

Date: 05/23/99
Fixed By: WAR
Feature:  FTP Image upload
Version 1,6,0,4
	<param name="FTPServer" value="#Attributes.FTPServer#">
	<param name="FTPUsername" value="#Attributes.FTPUsername#">
	<param name="FTPPassword" value="#Attributes.FTPPassword#">
	<param name="ImagesPath" value="#Attributes.ImagesPath#">
 
 ********************************************************************************************************

Date: 05/23/99
Fixed By: WAR
Feature:  Extra <BR>, Hyperlink grey out   
Version 1,6,0,4 

 ********************************************************************************************************
Date: 06/11/99
Fixed By: WAR
Feature:  WDDX support, for FONT Face, Image dialog, Hyperlink dialog 
Error hadling first time you install the editor and the OS wants you to reboot. 
Version 2,2,0,0             
 
Date: 06/19/99
Fixed By: WAR
Feature:  2 Images, font size of image tag is 1, characters after image tag
Error hadling first time you install the editor and the OS wants you to reboot. 
Version 2,2,0,0 
Reverted back to VB 5.0 run time, stop the re-boot from happening on every machine 
able to insert a new hyperlink/image immediately before or
after another one. Previously you could only edit it because the
hyperlink/image would be selected if the cursor was left or right of the
hyperlink/image. Now the cursor must be within the hyperlink/image to edit
it.

* BUG FIX: An image at the end of a line no longer produces an extraneous
</I>, </B>, or <BR> etc.

* BUG FIX: After inserting an hyperlink/image, the font attributes (color,
italic, etc) will be restored to the attributes prior to the
hyperlink/image. This makes typing text after inserting much easier
(assuming the prior text was not another hyperlink/image, in which case the
attributes will need to be manually changed).

* ENHANCEMENT: Image tags now appear as font size 1 in the editor.


 ********************************************************************************************************
Date: 06/27/99
Fixed By: WAR
Feature:  Background color and Foreground color property, Hyperlink select text and click hyperlink, text not captured 
FTP upload WinProxy server bug fix            
          
                      
---> 

<cfparam name="Attributes.CodeBase" default="/controls/">
<cfparam name="Attributes.Version" default="2,3,0,0">
<cfparam name="Attributes.License" default="">
<cfparam name="Attributes.License2" default="">
<cfparam name="Attributes.License3" default="">
<cfparam name="Attributes.Font" default="Arial">
<cfparam name="Attributes.Height" default="1">
<cfparam name="Attributes.Width" default="1">
<cfparam name="Attributes.EditorNumber" default="1">
<cfparam name="Attributes.EditorsInForm" default="1">
<cfparam name="Attributes.HTMLCode" default="<b>Hello</b>">
<cfparam name="Attributes.Form" default="frmMain">
<cfparam name="Attributes.Button" default="Submit">
<cfparam name="Attributes.FontSize" default="2">
<cfparam name="Attributes.AllowCustomize" default="True">
<cfparam name="Attributes.ButtonsEdit" default="True">
<cfparam name="Attributes.ButtonsFontSize" default="True">
<cfparam name="Attributes.ButtonsFontStyle" default="True">
<cfparam name="Attributes.ButtonsFontColor" default="True">
<cfparam name="Attributes.ButtonsBullets" default="True">
<cfparam name="Attributes.ButtonsIndent" default="True">
<cfparam name="Attributes.ButtonsAlign" default="True">
<cfparam name="Attributes.ButtonsHyperlink" default="True">
<cfparam name="Attributes.ButtonsPicture" default="True">
<cfparam name="Attributes.ButtonsAbout" default="True">
<cfparam name="Attributes.FTPServer" default="ftp.idontknow.com">
<cfparam name="Attributes.FTPUsername" default="">
<cfparam name="Attributes.FTPPassword" default="">
<cfparam name="Attributes.ImagesPath" default="images">
<cfparam name="Attributes.WDDX" default="">
<cfparam name="Attributes.BackColor" default="&hffffff">
<cfparam name="Attributes.ForeColor" default="&h000000">

<cfif (Right(Attributes.Codebase, 1) neq "/") AND (Right(Attributes.Codebase, 1) neq "\") AND Attributes.Codebase neq "">
	<cfset Attributes.Codebase = Attributes.Codebase & "/"> 
</cfif>  

<cfoutput>
<object classid="clsid:5D479C55-C4BA-11D2-B97C-002078159EC3" codebase="#Attributes.CodeBase#eWebEdit.CAB##version=#Attributes.Version#" width="#Attributes.Width#" height="#Attributes.Height#" border="0" name="eWebEdit#Attributes.EditorNumber#" id="eWebEdit#Attributes.EditorNumber#">
	<param name="License" value="#Attributes.License#">
	<param name="License2" value="#Attributes.License2#">
	<param name="License3" value="#Attributes.License3#">
	<param name="TextHTML" value="">
	<param name="AllowCustomize" value="#Attributes.AllowCustomize#">
	<param name="FontSize" value="#Attributes.FontSize#">
	<param name="FontName" value="#Attributes.Font#">
	<param name="ButtonsEdit" value="#Attributes.ButtonsEdit#">
	<param name="ButtonsFontSize" value="#Attributes.ButtonsFontSize#">
	<param name="ButtonsFontStyle" value="#Attributes.ButtonsFontStyle#">
	<param name="ButtonsFontColor" value="#Attributes.ButtonsFontColor#">
	<param name="ButtonsBullets" value="#Attributes.ButtonsBullets#">
	<param name="ButtonsIndent" value="#Attributes.ButtonsIndent#">
	<param name="ButtonsAlign" value="#Attributes.ButtonsAlign#">
	<param name="ButtonsHyperlink" value="#Attributes.ButtonsHyperlink#">
	<param name="ButtonsPicture" value="#Attributes.ButtonsPicture#">
	<param name="ButtonsAbout" value="#Attributes.ButtonsAbout#">
	<param name="FTPServer" value="#Attributes.FTPServer#">
	<param name="FTPUsername" value="#Attributes.FTPUsername#">
	<param name="FTPPassword" value="#Attributes.FTPPassword#">
	<param name="ImagesPath" value="#Attributes.ImagesPath#">
	<param name="WDDX" value="#Attributes.WDDX#">
	<param name="BackColor" value="#Attributes.BackColor#">
	<param name="ForeColor" value="#Attributes.ForeColor#">
	
</object>
<input type="hidden" name="TextHTML#Attributes.EditorNumber#" value="#Attributes.HTMLCode#">
</cfoutput>

<cfif Attributes.EditorNumber eq Attributes.EditorsInForm>
	<script language="vbscript">
		<cfset x = 1>
		<cfloop condition="x lte Attributes.EditorsInForm">
			<cfoutput>
				On Error Resume Next
				document.#Attributes.Form#.eWebEdit#x#.TextHTML = document.#Attributes.Form#.TextHTML#x#.value
				If Err then
						 alert "The WebEditor.cfm has detected that it can not write to the editor from the hidden field.  This is typicaly because the control has just been installed for the first time and on some machines you need to reboot your PC. Also check to make sure the CAB file is at the correct location"			
				End If

			</cfoutput>
			<cfset x = x + 1>
		</cfloop>

		Sub <cfoutput>#Attributes.Button#</cfoutput>_OnClick
			<cfset x = 1>
			<cfloop condition="x lte Attributes.EditorsInForm">
				<cfoutput>document.#Attributes.Form#.TextHTML#x#.value = document.#Attributes.Form#.eWebEdit#x#.TextHTML </cfoutput>
			<cfset x = x + 1>
			</cfloop>
		End Sub

	</script>
</cfif>


